1. consumption_report
Residentia REST API
  • Residentia REST API
    • location
      • getLocations
      • getLocationByLocationNumber
    • sensor
      • getSensorBySensorId
      • getSensorHistoryBySensorId
    • overdrive
      • setOverdriveSettings
      • getOverdriveSettings
      • getOneLocationOverdriveSettings
      • getLocationOverdriveStatus
    • consumption_report
      • getMonthlyConsumption
        GET
      • getDailyConsumption
        GET
      • getDistrictHeating
        GET
      • specificEnergyConsumption
        GET
    • heating
      • getLocationHeatingCurve
      • getLocationTargetSetpoint
    • Schemas
      • LocationItem
      • LocationSensorItem
      • SensorItem
      • SensorHistoryItem
      • HistoryData
      • OverdriveBody
      • Overdrive
      • OverdrivePostResponse
      • OverdriveGetResponse
      • HeatingCurvePoint
      • HeatingCurveItem
      • TargetSetpointItem
      • OverdriveStatusItem
      • MonthlyConsumptionItem
      • SpecificEnergyTypeResult
  1. consumption_report

getMonthlyConsumption

GET
/location/{location_number}/monthly_consumption
Get monthly consumption data for a specific location number, between the given start and end month (YYYY-MM format).
You can filter the data by one or more types (district_heating, water, electricity).

Request

Authorization
API Key
Add parameter in header
X-ApiKey
Example:
X-ApiKey: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
Successful operation, returns an object keyed by type with monthly consumption data.
Bodyapplication/json

🟠400
🟠403
🟠404
🟠429
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/location/10000001/monthly_consumption?startMonth=undefined&endMonth=undefined&type=undefined' \
--header 'X-ApiKey: <api-key>'
Response Response Example
200 - Example 1
Modified at 2026-06-18 14:38:42
Previous
getLocationOverdriveStatus
Next
getDailyConsumption
Built with